std::char_traits::to_int_type(3)

NAME
std::char_traits::to_int_type - std::char_traits::to_int_type

Synopsis
   static int_type to_int_type( char_type c ); (until C++11)
   static constexpr int_type to_int_type( char_type c ) noexcept; (since C++11)
   Converts a value of char_type to int_type.

Parameters
   c - value to convert

Return value
   A value equivalent to c.

Complexity
   Constant.

Notes
   For every valid value of char_type, there must be a unique value of int_type
   distinct from eof(). For example, a common implementation of
   char_traits<char>::eof() is return -1, and a corresponding valid implementation of
   char_traits<char>::to_int_type(c) is return (unsigned char)c.